> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/sample-apps/order-management-app-web/app-designer/create-order-request-item-entity-for-admin.md).

# Create Order Request Item Entity for Admin

Learn about step to create entity for administrator who will add possible supplier.

1\. From the App space screen, click Form and then popup dialog will opens.

2\. Enter name in field Component Name and click Start Design.

3\. From **Tools > Tabs** drag **2-Layer Tab** to the silver box under entity name. The dialog of Add Tab data opens. Put "Order Request Item" to Title and then click **Add**.

4\. From **Tools > Module** drag **1-1** to the box under the Order Request Item tab.&#x20;

* Click icon pencil. The dialog of Module Configuration opens.&#x20;
* Change Module Name to "Order Item".&#x20;
* Change Table Name to "wf\_order\_req\_item (T)"
* Click **OK**.&#x20;
* Click icon Configuration Layout and the dialog opens.
* Select **2 Column** and then click **Accept**. The table that has 2 columns will show.

5\. From **Tools > Field** drag **Dynamic** **List** to the first cell of the table (From step 4.6) The dropdownLabel shows.&#x20;

* Click icon pencil. The dialog of Dynamic List Box Configuration opens.
* Change Table Name to "wf\_ms\_hardware".&#x20;
* Change Column Show to "HARDWARE\_NAME".&#x20;
* Change Column Value to "HARDWARE\_ID".&#x20;
* Change FIELD\_ID to **"HARDWAREID"**.&#x20;
* Change ShowFieldName to "Hardware Id".&#x20;
* Switch viewFlag to "Y".&#x20;
* Click **OK**.

6\. From **Tools > Field** drag **Textarea** to the second cell of the table. (From step 4.6) The textareaLabel shows.

* Click icon pencil. The dialog of Text Area Configuration opens.&#x20;
* Change FIELD\_ID to **"SPEC"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Spec".  &#x20;
* Switch viewFlag to "Y".&#x20;
* Click **OK**.

7\. From **Order Item** Module click icon append row. The system will append new row to the table.

8\. From **Tools > Field** drag **Text Box** to the first cell of new row. (From step 7) The textLabel shows.&#x20;

* Click icon pencil. The dialog of Text box Configuration opens.&#x20;
* Select "Integer" at Number Formatter.
* Change FIELD\_ID to **"UNIT"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Unit".
* Switch viewFlag to "Y".&#x20;
* Click **OK**.

9\. From **Tools > Field** drag **Textarea** to the second cell of new row (From step 7) The textareaLabel shows.&#x20;

* Click icon pencil. The dialog of Text Area Configuration opens.
* Change FIELD\_ID to **"REMARK"**.
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Remark".&#x20;
* Switch viewFlag to "Y".
* Click **OK**.

10\. From **Order Item** Module click icon append row. The system will append new row to the table.

11\. From **Tools > Field** drag **Hidden** to the first cell of new row. (From step 10) The hiddenLabel shows.&#x20;

* Click icon pencil. The dialog of Hidden Field Configuration opens.
* Put "id = 'ORDER\_ITEM\_ID'" to Source tag (for link with parent entity).
* Change FIELD\_ID to **"ORDER\_ITEM\_ID"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Order Item Id".&#x20;
* Click **OK**.

12\. From **Tools > Field** drag **Hidden** to the first cell of new row. (From step 10) The hiddenLabel shows.&#x20;

* Click icon pencil. The dialog of Hidden Field Configuration opens.&#x20;
* Put "id = 'REQUEST\_ID'" to Source tag (for link with parent entity).&#x20;
* Change FIELD\_ID to **"REQUEST\_ID"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Request Id".&#x20;
* Click **OK**.

13\. From **Tools > Button** drag **Entity Button** to space under the Module Order Request. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "SAVE".
* Change Page Action to "ENTITY\_INSERT".&#x20;
* At Button Action select first radio and change button action to "saveEntity()".&#x20;
* Click **OK**.

14\. From **Tools > Button** drag **Entity Button** to space under the Module Order Request. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "SAVE".&#x20;
* Change Page Action to "ENTITY\_UPDATE".&#x20;
* At Button Action select first radio and change button action to "saveEntity()".
* Click **OK**.

15\. From **Tools > Button** drag **Entity Button** to space under the Module Order Request. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "CANCEL".&#x20;
* Change Page Action to "ENTITY\_INSERT".&#x20;
* At Button Action select first radio and change button action to "cancelEntity()".&#x20;
* Click **OK**.

16\. From **Tools > Button** drag **Entity Button** to space under the Module Order Request. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "CANCEL".&#x20;
* Change Page Action to "ENTITY\_UPDATE".
* At Button Action select first radio and change button action to "cancelEntity()".&#x20;
* Click **OK**.

17\. From **Tools > Tabs** drag **Normal Tab** to the silver box under the table. The dialog of Add Tab data opens. Put "Supplier List" to Title, select 1 column and then click **Add**. The Order Item tab show.

18\. From **Tools > Module** drag **1-Many** to the box under the Order Item tab.&#x20;

* Click icon pencil. The dialog of Module Configuration opens.&#x20;
* Change Module Name to "Supplier".&#x20;
* Change Table Name to "wf\_order\_req\_item\_supplier (T)".
* Click **OK**.

19\. From **Tools > Field** drag **Hidden** to Module Supplier. The hiddenLabel shows.&#x20;

* Click icon pencil. The dialog of Hidden Field Configuration opens.
* Change FIELD\_ID to **"ORDER\_ITEM\_SUPPLIER\_ID"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Order Item Supplier Id".
* Click **OK**.

20\. From **Tools > Field** drag **Hidden** to Module Supplier. The hiddenLabel shows.&#x20;

* Click icon pencil. The dialog of Hidden Field Configuration opens.
* Change FIELD\_ID to **"ORDER\_ITEM\_ID"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Order Item Id"
* Click **OK**.

21\. From **Tools > Field** drag **Text Box** to Module Supplier. The textLabel shows.&#x20;

* Click icon pencil. The dialog of Text box Configuration opens.&#x20;
* Change FIELD\_ID to **"SUPPLIER\_NAME"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Supplier Name".&#x20;
* Change FieldGroup to "1" and change Seq to "1".&#x20;
* Switch ShowSearch to "Y".
* Change showSearchSeq to "1".&#x20;
* Select "CHECK\_NULL" at Validate Code and click icon plus. The new record of Validate Code show.&#x20;
* Click **OK**.

22\. From **Tools > Field** drag **Text Box** to Module Supplier. The textLabel shows.&#x20;

* Click icon pencil. The dialog of Text box Configuration opens.
* Select "Integer" at Number Formatter.&#x20;
* Change FIELD\_ID to **"IN\_STOC**
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "In Stock".
* Change FieldGroup to "1" and change Seq to "2".
* Switch ShowSearch to "Y".&#x20;
* Change showSearchSeq to "2".&#x20;
* Select "CHECK\_NULL" at Validate Code and click icon plus. The new record of Validate Code show.&#x20;
* Click **OK**.

23\. From **Tools > Field** drag **Text Box** to Module Supplier. The textLabel shows.&#x20;

* Click icon pencil. The dialog of Text box Configuration opens.&#x20;
* Select "Currency" at Number Formatter
* Change FIELD\_ID to **"UNIT\_PRICE"**.&#x20;
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Unit Price".&#x20;
* Change FieldGroup to "2" and change Seq to "1".&#x20;
* Switch ShowSearch to "Y".&#x20;
* Change showSearchSeq to "3".
* Select "CHECK\_NULL" at Validate Code and click icon plus. The new record of Validate Code show.&#x20;
* Click **OK**.

24\. From **Tools > Field** drag **Textarea** to Module Supplier. The textareaLabel shows.&#x20;

* Click icon pencil. The dialog of Text Area Configuration opens.&#x20;
* Change FIELD\_ID to **"REMARK"**.
* Click icon Populate from FIELD\_ID. The system will auto generate ShowFieldName to "Remark".
* Change FieldGroup to "2" and change Seq to "2".
* Click **OK**.

25\. From **Tools > Button** drag **Module Button** to space under the Module Supplier. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "ADD".&#x20;
* Change Page Action to "SUB\_SEARCH".&#x20;
* At Button Action select first radio and change button action to "popupActionFlow('\[MODULE\_ID]')".&#x20;
* Click **OK**.

27\. From **Tools > Button** drag **Module Button** to space under the Module Supplier. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "SAVE".&#x20;
* Change Page Action to "INSERT".&#x20;
* At Button Action select first radio and change button action to "actionFormSubmit('insertMany','Y')".&#x20;
* Click **OK**.

28\. From **Tools > Button** drag **Module Button** to space under the Module Supplier. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "SAVE".
* Change Page Action to "UPDATE".&#x20;
* At Button Action select first radio and change button action to "actionFormSubmit('insertMany','Y')".&#x20;
* Click **OK**.

29\. From **Tools > Button** drag **Module Button** to space under the Module Supplier. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "CANCEL".&#x20;
* Change Page Action to "INSERT".&#x20;
* At Button Action select first radio and change button action to "$('#many\_\[MODULE\_ID]\_dialog').dialog('close');".&#x20;
* Click **OK**.

30\. From **Tools > Button** drag **Module Button** to space under the Module Supplier. The SUBMIT\_VALUE show.&#x20;

* Click icon pencil. The dialog of Button Configuration opens.&#x20;
* Change buttonName to "CANCEL".&#x20;
* Change Page Action to "UPDATE".&#x20;
* At Button Action select first radio and change button action to "$('#many\_\[MODULE\_ID]\_dialog').dialog('close');".&#x20;
* Click **OK**.

31\. Configure **Order Item** module key.&#x20;

* From module **Order Item** click icon pencil. The dialog of Module Configuration opens.&#x20;
* Select "ORDER\_ITEM\_ID at Module Key.&#x20;
* Put "IT" to Prefix.&#x20;
* Put "18" to KeyLen.
* Put "ORDER\_ITEM\_ID\_SEQ" to Sequence.
* Click icon plus. The new record of Module Key show.&#x20;
* Click **OK**.

32\. Configure **Supplier** module key.&#x20;

* From module **Supplier** click icon pencil. The dialog of Module Configuration opens.&#x20;
* Select "ORDER\_ITEM\_SUPPLIER\_ID" at Module Key.&#x20;
* Put "SP" to Prefix.&#x20;
* Put "18" to KeyLen.&#x20;
* Put "ORDER\_ITEM\_SUPPLIER\_ID\_SEQ" to Sequence.&#x20;
* Click icon plus. The new record of Module Key show.
* Select "ORDER\_ITEM\_ID" at Module Key.
* Select "ORDER\_ITEM\_ID" at Parent Key.&#x20;
* Click icon plus. The new record of Module Key show.&#x20;
* Click **OK**.

33\. Click button **Save this Entity**.&#x20;

The completed entity looks as shown below

![](https://2015371994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMpDjHWFRUtZ5nJcSfVXd%2Fuploads%2FmobFEfxdqzFtcrr5CDK7%2Fimage.png?alt=media\&token=7206ec78-8d40-45ea-b0c1-5c7242d6a3f4)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/sample-apps/order-management-app-web/app-designer/create-order-request-item-entity-for-admin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
